Bug 158984 - [PATCH] devel/rubygem-json*: Add missing dependency on ruby-iconv in Ruby 1.8
Summary: [PATCH] devel/rubygem-json*: Add missing dependency on ruby-iconv in Ruby 1.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ruby (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-16 23:10 UTC by TAKATSU Tomonari
Modified: 2011-07-17 02:20 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (309 bytes, patch)
2011-07-16 23:10 UTC, TAKATSU Tomonari
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description TAKATSU Tomonari freebsd_committer 2011-07-16 23:10:08 UTC
- Add missing dependency on ruby-iconv in Ruby 1.8
- Bump PORTREVISION

In Ruby 1.8, lib/json/common.rb requires ruby-iconv
because String#encoding has been defined since Ruby 1.9.

See also https://github.com/flori/json/blob/754e3a5f8c2eae225cce70dea5b6f71156990768/lib/json/common.rb#L357

Port maintainer (ruby@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99

Fix: 

PORTNAME=	json_pure
 PORTVERSION=	1.5.3
+PORTREVISION=	1
 CATEGORIES=	devel rubygems
 MASTER_SITES=	RG

@@ -18,4 +19,10 @@
 RUBYGEM_AUTOPLIST=	yes
 PLIST_FILES=	bin/edit_json.rb bin/prettify_json.rb

-.include <bsd.port.mk>
+.include <bsd.port.pre.mk>
+
+.if ${RUBY_VER} < 1.9
+USE_RUBY_FEATURES=	iconv
+.endif
+
+.include <bsd.port.post.mk>
--- rubygem-json_pure-1.5.3_1.patch ends here -----LNReJJ55wOFJ0Tf8rhudvtvL8JL3TxeI14107l9aLsZOWKXJ
Content-Type: text/plain; name="rubygem-json-1.5.3_1.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="rubygem-json-1.5.3_1.patch"

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/devel/rubygem-json/Makefile,v
retrieving revision 1.20
diff -u -u -r1.20 Makefile
--- Makefile    25 Jun 2011 03:13:19 -0000      1.20
+++ Makefile    16 Jul 2011 16:55:55 -0000
@@ -7,6 +7,7 @@

 PORTNAME=	json
 PORTVERSION=	1.5.3
+PORTREVISION=	1
 CATEGORIES=	devel rubygems
 MASTER_SITES=	RG

@@ -18,4 +19,10 @@
 RUBYGEM_AUTOPLIST=	yes
 PLIST_FILES=	bin/edit_json.rb bin/prettify_json.rb

-.include <bsd.port.mk>
+.include <bsd.port.pre.mk>
+
+.if ${RUBY_VER} < 1.9
+USE_RUBY_FEATURES=	iconv
+.endif
+
+.include <bsd.port.post.mk>
Comment 1 Edwin Groothuis freebsd_committer 2011-07-16 23:10:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ruby

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2011-07-17 02:15:23 UTC
stas        2011-07-17 01:15:14 UTC

  FreeBSD ports repository

  Modified files:
    devel/rubygem-json   Makefile 
    devel/rubygem-json_pure Makefile 
  Log:
  - Add missing dependency for iconv for ruby18.
  - Bump portrevision.
  
  PR:             ports/158984
  Submitted by:   TAKATSU Tomonari <tota@freebsd.org>
  
  Revision  Changes    Path
  1.21      +8 -1      ports/devel/rubygem-json/Makefile
  1.15      +8 -1      ports/devel/rubygem-json_pure/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Stanislav Sedov freebsd_committer 2011-07-17 02:15:28 UTC
State Changed
From-To: open->closed

Committed. Thanks!